Bug 210000 - [PATCH] Add an X11 option to java/openjdk[78]
Summary: [PATCH] Add an X11 option to java/openjdk[78]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Greg Lewis
URL: https://reviews.freebsd.org/D6698
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-06-03 16:32 UTC by Alan Somers
Modified: 2016-12-09 20:31 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2016-06-03 16:32:29 UTC
The linked review adds an X11 option to openjdk7 and openjdk8.  It is enabled by default.  When disabled, certain LIB_DEPENDS become BUILD_DEPENDS and others disappear entirely.

https://reviews.freebsd.org/D6698
Comment 1 Alan Somers freebsd_committer 2016-06-17 14:41:13 UTC
Any thoughts Greg?  I'll commit soon if I don't hear back.
Comment 2 Greg Lewis freebsd_committer 2016-06-20 06:43:23 UTC
I don't understand why we don't just have the presence of the option control a different setting for USE_XORG rather have the ports incorporate their own versions of the X11 dependencies.  That makes them harder to maintain, IMO.
Comment 3 Alan Somers freebsd_committer 2016-06-20 16:20:01 UTC
Excellent question Greg.  The answer is because it doesn't work.  X11_USE_XORG always expands to blank.  But even if it didn't, I don't think we can express build-only dependencies that way, can we?  Is there any equivalent of "USE_XORG=Xext:build"?
Comment 4 Alan Somers freebsd_committer 2016-09-20 18:55:50 UTC
Are you satisfied with that explanation Greg?  If so, I'll commit it.
Comment 5 commit-hook freebsd_committer 2016-12-09 20:31:16 UTC
A commit references this bug:

Author: asomers
Date: Fri Dec  9 20:30:53 UTC 2016
New revision: 428241
URL: https://svnweb.freebsd.org/changeset/ports/428241

Log:
  Add an X11 option to java/openjdk[78]

  It defaults to on.  Disabling it will remove X support from Java, and reduce
  X-related dependencies.

  PR:		210000
  Reviewed by:	brd
  Approved by:	brd (ports)
  Approved by:	glewis (maintainer timeout)
  Sponsored by:	Spectra Logic Corp
  Differential Revision:	https://reviews.freebsd.org/D6698

Changes:
  head/java/openjdk7/Makefile
  head/java/openjdk8/Makefile